Index: build/snova/trunk/obuild/DOS/build_lib_snvertex.bat
===================================================================
--- build/snova/trunk/obuild/DOS/build_lib_snvertex.bat	(revision 144)
+++ build/snova/trunk/obuild/DOS/build_lib_snvertex.bat	(revision 241)
@@ -115,10 +115,30 @@
 cd "%obuild_snova_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
+SET HDF5_home=/usr/local/HDF5/1.6.5
+:end_if_platform_5
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
+SET zlib_home=/usr
+:end_if_platform_7
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_4
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_8
 SET obuild_cxx_command=c++
-:end_if_platform_4
+:end_if_platform_8
 SET obuild_platform_result=
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
@@ -128,7 +148,7 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_9
 SET obuild_cxx_command=c++
-:end_if_platform_5
+:end_if_platform_9
 SET obuild_platform_result=
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
@@ -138,17 +158,17 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_6
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_10
 SET obuild_cxx_command=cxx
-:end_if_platform_6
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
+:end_if_platform_10
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_11
 SET obuild_cxx_command=cl.exe
-:end_if_platform_7
+:end_if_platform_11
 SET obuild_platform_result=
 IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return
@@ -160,7 +180,7 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_8
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_12
 SET obuild_cxx_optimize=-O
-:end_if_platform_8
+:end_if_platform_12
 SET obuild_platform_result=
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
@@ -170,7 +190,7 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_9
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_13
 SET obuild_cxx_optimize=-O
-:end_if_platform_9
+:end_if_platform_13
 SET obuild_platform_result=
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
@@ -180,17 +200,17 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_10
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_14
 SET obuild_cxx_optimize=-O
-:end_if_platform_10
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_11
+:end_if_platform_14
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_15
 SET obuild_cxx_optimize=/O2
-:end_if_platform_11
+:end_if_platform_15
 SET obuild_platform_result=
 
@@ -201,7 +221,7 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_12
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_16
 SET obuild_cxx_debug=-g
-:end_if_platform_12
+:end_if_platform_16
 SET obuild_platform_result=
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
@@ -211,7 +231,7 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_13
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_17
 SET obuild_cxx_debug=-g
-:end_if_platform_13
+:end_if_platform_17
 SET obuild_platform_result=
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
@@ -221,17 +241,17 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_14
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_18
 SET obuild_cxx_debug=-g
-:end_if_platform_14
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_15
+:end_if_platform_18
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_19
 SET obuild_cxx_debug=/ZI /Od
-:end_if_platform_15
+:end_if_platform_19
 SET obuild_platform_result=
 
@@ -242,32 +262,32 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_16
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_20
 SET obuild_cxx_options=-fPIC
-:end_if_platform_16
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_17
+:end_if_platform_20
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_21
 SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
-:end_if_platform_17
-SET obuild_platform_result=
-
-IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_snvertex_sh_18
+:end_if_platform_21
+SET obuild_platform_result=
+
+IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_snvertex_sh_22
   SET obuild_cxx_debug_local=%obuild_cxx_debug%
-  GOTO end_if_db_build_lib_snvertex_sh_18
-:else_if_db_build_lib_snvertex_sh_18
+  GOTO end_if_db_build_lib_snvertex_sh_22
+:else_if_db_build_lib_snvertex_sh_22
   SET obuild_cxx_debug_local=
-:end_if_db_build_lib_snvertex_sh_18
-
-IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_snvertex_sh_19
+:end_if_db_build_lib_snvertex_sh_22
+
+IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_snvertex_sh_23
   SET obuild_cxx_optimize_local=%obuild_cxx_optimize%
-  GOTO end_if_opt_build_lib_snvertex_sh_19
-:else_if_opt_build_lib_snvertex_sh_19
+  GOTO end_if_opt_build_lib_snvertex_sh_23
+:else_if_opt_build_lib_snvertex_sh_23
   SET obuild_cxx_optimize_local=
-:end_if_opt_build_lib_snvertex_sh_19
+:end_if_opt_build_lib_snvertex_sh_23
 
 
@@ -295,7 +315,7 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_24
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_28
 SET obuild_cxx_includes=%obuild_cxx_includes% -I${CLHEP_home}/include
-:end_if_platform_24
+:end_if_platform_28
 SET obuild_platform_result=
 
@@ -378,7 +398,7 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_36
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_40
 SET obuild_cxx_linker_command=c++
-:end_if_platform_36
+:end_if_platform_40
 SET obuild_platform_result=
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
@@ -388,7 +408,7 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_37
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_41
 SET obuild_cxx_linker_command=c++
-:end_if_platform_37
+:end_if_platform_41
 SET obuild_platform_result=
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
@@ -398,17 +418,17 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_38
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_42
 SET obuild_cxx_linker_command=cxx
-:end_if_platform_38
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_39
+:end_if_platform_42
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_43
 SET obuild_cxx_linker_command=link.exe
-:end_if_platform_39
+:end_if_platform_43
 SET obuild_platform_result=
 IF "%obuild_cxx_linker_command%" == ""  ECHO Variable obuild_cxx_linker_command not defined.  && GOTO obuild_return
@@ -420,7 +440,7 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_40
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_44
 SET obuild_cxx_linker_debug=-g
-:end_if_platform_40
+:end_if_platform_44
 SET obuild_platform_result=
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
@@ -430,7 +450,7 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_41
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_45
 SET obuild_cxx_linker_debug=-g
-:end_if_platform_41
+:end_if_platform_45
 SET obuild_platform_result=
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
@@ -440,43 +460,43 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_42
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_46
 SET obuild_cxx_linker_debug=-g
-:end_if_platform_42
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_43
+:end_if_platform_46
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_47
 SET obuild_cxx_linker_debug=/DEBUG
-:end_if_platform_43
-SET obuild_platform_result=
-
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_44
+:end_if_platform_47
+SET obuild_platform_result=
+
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_48
 SET obuild_cxx_linker_options=/nologo
-:end_if_platform_44
-SET obuild_platform_result=
-
-IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_snvertex_sh_45
+:end_if_platform_48
+SET obuild_platform_result=
+
+IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_snvertex_sh_49
   SET obuild_cxx_linker_debug_local=%obuild_cxx_linker_debug%
-  GOTO end_if_db_build_lib_snvertex_sh_45
-:else_if_db_build_lib_snvertex_sh_45
+  GOTO end_if_db_build_lib_snvertex_sh_49
+:else_if_db_build_lib_snvertex_sh_49
   SET obuild_cxx_linker_debug_local=
-:end_if_db_build_lib_snvertex_sh_45
-
-IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_snvertex_sh_46
+:end_if_db_build_lib_snvertex_sh_49
+
+IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_snvertex_sh_50
   SET obuild_cxx_linker_optimize_local=%obuild_cxx_linker_optimize%
-  GOTO end_if_opt_build_lib_snvertex_sh_46
-:else_if_opt_build_lib_snvertex_sh_46
+  GOTO end_if_opt_build_lib_snvertex_sh_50
+:else_if_opt_build_lib_snvertex_sh_50
   SET obuild_cxx_linker_optimize_local=
-:end_if_opt_build_lib_snvertex_sh_46
+:end_if_opt_build_lib_snvertex_sh_50
 
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
